OSEC

Neohapsis is currently accepting applications for employment. For more information, please visit our website www.neohapsis.com or email hr@neohapsis.com
 
Re: CentiPaid <= 1.4.2 [$class_pwd] Remote File Include

From: Francesco Laurita (francescofrancesco-laurita.info)
Date: Mon Oct 30 2006 - 12:12:10 CST


firewall1954hotmail.com ha scritto:
> Affected software description :
> Application : CentiPaid
> version : 1.4.3
> URL : http://www.centipaid.com/centi/download/centipaid_php-1.4.3.tar.gz
>
> Code:centipaid_class.php
>
> include($class_pwd.'/adodb/adodb.inc.php')
>
>
One line above:
$class_pwd = dirname(__FILE__);

$class_pwd is setted before include();

Mark it as bogus please
Regards